> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get ReviewAspect entities.

- Product: Review aspects
- Section: Review
- Snapshot: Current
- Method: `GET`
- Path: `/api/review_aspects/`

## Query parameters

### `active`

Type: `boolean`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reviewAspects.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/review_aspects/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "active": true,
    "aspectSpecification": {
      "id": 0,
      "locale": "locale",
      "type": "location",
      "name": "name"
    }
  }
]
```

##### Schema

###### ReviewAspect[]

Type: `ReviewAspect[]`  

###### ReviewAspect

Type: `ReviewAspect`  

###### `id`

Type: `number`  
Required: yes  

###### `active`

Type: `boolean`  
Required: yes  

###### `aspectSpecification`

Type: `ReviewAspectSpecification`  
Required: no  

###### ReviewAspectSpecification

Type: `ReviewAspectSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: no  
Allowed values: `beach`, `child-friendly`, `hygiene`, `location`, `pool`, `value-for-money`, `sanitary`, `service`, `surroundings`, `restaurant`, `facilities`, `recommendation`, `accommodation`, `recreation-team`, `playground`, `terrain-maintenance`, `cleaning`  

###### `name`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

## Related representations

- [Human documentation](/review-aspects/methods/list/)
- [TypeScript Markdown](/review-aspects/methods/list.md?lang=typescript)
- [curl Markdown](/review-aspects/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/review-aspects/llms.txt)
- [snapshot llms.txt](/review-aspects/llms.txt)
